function CheckFeed(sRaw)
	
	sPatternFeedTitle = '.-<title.->(.-)</title>'
	sPatternItemTitle = '.-<title.->(.-)</title>'
	if string.match(sRaw, '<rss.-version=".-".->') then
		sFeedType = "RSS"
		sRawCounted, iNumberOfItems = string.gsub(sRaw, '<item', "")
		sPatternFeedLink = '.-<link.->(.-)</link>'
		sPatternItem = '<item.-</item>'
		sPatternItemAuthor = '.-<author>(.-)</author>'
		sPatternItemLink = '.-<link.->(.-)</link>'
		sPatternItemDesc = '.-<description.->(.-)</description>'
		sPatternItemDate = '.-<pubDate.->(.-)</pubDate>'
	else
		sFeedType = "ATOM"
		sRawCounted, iNumberOfItems = string.gsub(sRaw, '<entry', "")
		sPatternFeedLink = '.-<link.-href="(.-)"'
		sPatternItem = '<entry.-</entry>'
		sPatternItemAuthor = '.-<author.-<name>(.-)</name>'
		sPatternItemLink = '.-<link.-href="(.-)"'
		sPatternItemDesc = '.-<summary.->(.-)</summary>'
		sPatternItemDate = '.-<updated.->(.-)</updated>'
		sPatternTime = 'T(.*):'
		sPatternMonth = '-(.-)-'
		sPatternDay = '-.--(.-)T'
	end
	
end -- function CheckFeed

function ReadFeed(sRaw)

	tAuthors = {}
	tLinks = {}
	tTitles = {}
	tDates = {}
	tDays = {}
	tMonths = {}
	tTimes = {}
	tDesc = {}
	tModified = {}

	iInit = 0
	for i = 1, iNumberOfItems do
		iItemStart, iItemEnd = string.find(sRaw, sPatternItem, iInit)
		sItem = string.sub(sRaw, iItemStart, iItemEnd)
		if string.match(sItem, sPatternItemAuthor) then
			tAuthors[i] = string.match(sItem, sPatternItemAuthor)
			tAuthors[i] = ParseSpecialCharacters(tAuthors[i])
		else
			tAuthors[i] = ''
		end
		tTitles[i] = string.match(sItem, sPatternItemTitle)
		tTitles[i] = ParseSpecialCharacters(tTitles[i])
		if tTitles[i] == '' then tTitles[i] = '(No Title)' end
		tLinks[i] = string.match(sItem, sPatternItemLink)
		tLinks[i] = ParseSpecialCharacters(tLinks[i])
		tDesc[i] = string.match(sItem, sPatternItemDesc)
		tDesc[i] = ParseSpecialCharacters(tDesc[i])
		if string.match(sItem, sPatternItemDate) then
			tDates[i] = string.match(sItem, sPatternItemDate)
			tDates[i] = ParseSpecialCharacters(tDates[i])
			tTimes[i] = string.match(tDates[i], sPatternTime)
			tDays[i] = string.match(tDates[i], sPatternDay)
			tMonths[i] = string.match(tDates[i], sPatternMonth)
		else
			tDates[i] = ''
		end
		iInit = iItemEnd + 1
	end

end -- function ReadFeed

function ParseSpecialCharacters(sString)

	if sString then
		sString = string.gsub(sString, "\"", "'")
		sString = string.gsub(sString, "<!%[CDATA%[", "")
		sString = string.gsub(sString, "%]%]>", "")
		sString = string.gsub(sString, "/PRE&gt;", "")
		sString = string.gsub(sString, "PRE&gt;", "")
		sString = string.gsub(sString, "PRE&gt;", "")
		sString = string.gsub(sString, "&amp;", "&")
		sString = string.gsub(sString, "<p>", "")
		sString = string.gsub(sString, "</p>", "")
		sString = string.gsub(sString, "<em>", "")
		sString = string.gsub(sString, "</em>", "")
		sString = string.gsub(sString, "<strong>", "")
		sString = string.gsub(sString, "</strong>", "")
		sString = string.gsub(sString, "<div.->", "")
		sString = string.gsub(sString, "</div>", "")
		sString = string.gsub(sString, "&quot;", "\'")
		sString = string.gsub(sString, "&#39;", "'")
		sString = string.gsub(sString, "<a title.-</a>", "")
	end
	
	return sString
	
end -- function	ParseSpecialCharacters